This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 47263 - Couldn't retrieve SSH Fingerprint.
Summary: Couldn't retrieve SSH Fingerprint.
Status: VERIFIED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: XMA (show other bugs)
Version: 4.2.0 (C8)
Hardware: PC Windows
: --- blocker
Target Milestone: ---
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2016-11-17 21:28 UTC by Jason
Modified: 2016-12-04 04:21 UTC (History)
23 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments
Log files following opening from VS 2015 Dev Command window and attempting to connect to Mac only. (2.93 KB, text/plain)
2016-11-17 21:31 UTC, Jason
Details
Error message picture (19.56 KB, image/png)
2016-11-17 21:33 UTC, Jason
Details
SSH.NET assembly info console test app (3.49 KB, text/plain)
2016-11-18 20:37 UTC, Brendan Zagaeski
Details
"GOOD" (unable to replicate) full VS extension info from "Help > About Microsoft Visual Studio > Copy Info" (2.25 KB, text/plain)
2016-11-18 20:40 UTC, Brendan Zagaeski
Details

Description Jason 2016-11-17 21:28:57 UTC
# Steps to reproduce
Followed all steps of the "Connection Troubleshooting" guide.  Upon attempting to connect the "Connect to Mac" dialog window has a red bar at the top with the error message regarding no SSH Fingerprint.  The Login button is disabled.

# Expected behavior


# Actual behavior


# Supplemental info (logs, images, videos)
Xamarin Information: 0 : [2016-11-17 16:12:41.4490] Xamarin - 4.2.1.60-cycle8+47830f6
Xamarin.VisualStudio.Activation.AccountManager Information: 0 : [2016-11-17 16:12:41.4895] VS2015 Community
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.5461] No license found for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.5607] Running license sync for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.5697] Not logged in, using iOS Community
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.5822] No license found for Android
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.5987] Running license sync for Android
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-17 16:12:41.6082] Not logged in, using Android Community
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-11-17 16:12:41.6683] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-11-17 16:12:41.6748] Initialization finished
Xamarin.VisualStudio.IOS.XamarinIOSPackage Warning: 0 : [2016-11-17 16:12:41.6914] Initializing Xamarin.VisualStudio.IOS.XamarinIOSPackage.
Xamarin.VisualStudio.IOS.XamarinIOSPackage Information: 0 : [2016-11-17 16:12:41.6984] MDAddinsHash: a39a869d8a78d87bdc6775f696c13a4cc9024501

Xamarin.VisualStudio.IOS.MacServer Error: 0 : [2016-11-17 16:14:33.6440] Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
System.IO.FileNotFoundException: Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.RetrieveFingerprintAsync(String host)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in c:\data\lanes\3513\47830f6b\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__53.MoveNext() in c:\data\lanes\3513\47830f6b\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 363

WRN: Assembly binding logging is turned OFF.
To enable assembly bind failure logging, set the registry value [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) to 1.
Note: There is some performance penalty associated with assembly bind failure logging.
To turn this feature off, remove the registry value [HKLM\Software\Microsoft\Fusion!EnableLog].

# Test environment (full version information)
Windows 10 x64, Macbook Air, both running the same, most up-to-date, stable versions of xamarin and visual studio 2015 community.  Wifi connection to router with internal "192" ip addresses.  No firewalls.
Comment 1 Jason 2016-11-17 21:31:50 UTC
Created attachment 18518 [details]
Log files following opening from VS 2015 Dev Command window and attempting to connect to Mac only.

The log file from the Mac is completely blank.  Command ran in terminal "grep sshd /var/log/system.log > "$HOME/Desktop/sshd.log"
Comment 2 Jason 2016-11-17 21:33:28 UTC
Created attachment 18519 [details]
Error message picture
Comment 3 Daniel 2016-11-17 21:48:54 UTC
I have the same problem, It worked earlier today but then I upgraded both the Windows and the MAC machines (I haven't updated then in a while) and then the error appeared. Exactly the same problem.

I have "repaired" Xamarin and VS 2015 and it did not help.

I found the file in "C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Xamarin\Xamarin\4.2.1.62" but for some reason it not been loaded.

I also added the file to GAC and still not been loaded.

I enabled Binding logging but I cannot find any useful information:



Xamarin.VisualStudio.IOS.MacServer Error: 0 : [2016-11-17 16:37:08.6782] Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
System.IO.FileNotFoundException: Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.RetrieveFingerprintAsync(String host)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__53.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 363

=== Pre-bind state information ===
LOG: DisplayName = Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106
 (Fully-specified)
LOG: Appbase = file:///C:/Program Files (x86)/Microsoft Visual Studio 14.0/Common7/IDE/
LOG: Initial PrivatePath = NULL
Calling assembly : Xamarin.Messaging.Client.Ssh, Version=4.2.1.62, Culture=neutral, PublicKeyToken=0738eb9f132ed756.
===
LOG: This bind starts in default load context.
LOG: Using application configuration file: C:\Users\danie\AppData\Local\Microsoft\VisualStudio\14.0\devenv.exe.config
LOG: Using host configuration file: 
LOG: Using machine configuration file from C:\Windows\Microsoft.NET\Framework\v4.0.30319\config\machine.config.
LOG: The same bind was seen before, and was failed with hr = 0x80070002.
Comment 4 Mirko Da Corte 2016-11-18 03:45:16 UTC
Same here. I've installed on mac also Visual Studio for Mac for a try, at side of Xamarin Studio. All xamarin packages are updated with last stable version.



Xamarin Information: 0 : [2016-11-18 04:34:16.6717] Xamarin - 4.2.1.62-cycle8+680125b
Xamarin.VisualStudio.Activation.AccountManager Information: 0 : [2016-11-18 04:34:17.0154] VS2015 Enterprise
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:17.3904] No license found for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:17.7654] Running license sync for iOS
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:18.0779] Not logged in, using iOS VSEnterprise
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:18.4217] No license found for Android
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:18.7654] Running license sync for Android
Xamarin.VisualStudio.ActivationManager Information: 0 : [2016-11-18 04:34:19.1248] Not logged in, using Android VSEnterprise
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-11-18 04:34:19.6247] Hooked up SDB tracing adapter
Xamarin.VisualStudio.TastyPackage Information: 0 : [2016-11-18 04:34:19.9841] Initialization finished
Xamarin.VisualStudio.IOS.XamarinIOSPackage Warning: 0 : [2016-11-18 04:34:20.3591] Initializing Xamarin.VisualStudio.IOS.XamarinIOSPackage.
Xamarin.VisualStudio.IOS.XamarinIOSPackage Information: 0 : [2016-11-18 04:34:20.7185] MDAddinsHash: a39a869d8a78d87bdc6775f696c13a4cc9024501

Xamarin.VisualStudio.IOS.Bonjour.BonjourDiscovery Information: 0 : [2016-11-18 04:34:23.2340] Bonjour service 'DigicandoMac' did not respond with its IP address.
Xamarin.VisualStudio.IOS.MacServer Error: 0 : [2016-11-18 04:34:26.7468] Impossibile caricare il file o l'assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' o una delle relative dipendenze. Impossibile trovare il file specificato.
System.IO.FileNotFoundException: Impossibile caricare il file o l'assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' o una delle relative dipendenze. Impossibile trovare il file specificato.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.RetrieveFingerprintAsync(String host)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__53.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 363

AVV: la registrazione dell'associazione di assembly è disattivata.
Per abilitare la registrazione degli errori di associazione di assembly, impostare il valore del Registro di sistema [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD) su 1.
Nota: alcune penalità di prestazione sono associate alla registrazione degli errori di associazione di assembly.
Per disattivare la funzionalità, rimuovere il valore del Registro di sistema [HKLM\Software\Microsoft\Fusion!EnableLog].
Comment 5 Seb 2016-11-18 11:43:08 UTC
Same here, stopped working yesterday - have tried re-updating Xamarin on Mac and Windows to latest Stable and no luck. I cannot get connected to any Macs (of which we have 2) from Visual Studio.

Versions:
On Windows (VS 2015):
Xamarin 4.2.1.62
Xamarin.iOS 10.2.1.5

On Mac [Mac OS X 10.12.1] (XS 6.1.2 [build 44]):
Xamarin.iOS 10.2.1.5
XCode 8.1 (11544)



svclog from Visual Studio Xamarin logs:

MacServer State transition from DisconnectedState to SshConnectingState on build-mac (192.168.1.229)



Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
System.IO.FileNotFoundException: Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.VisualStudio.MessagingService.<ConnectAsync>d__71.MoveNext()
   at System.Runtime.CompilerServices.AsyncTaskMethodBuilder`1.Start[TStateMachine](TStateMachine& stateMachine)
   at Xamarin.Messaging.VisualStudio.MessagingService.ConnectAsync(String address, String user, Func`1 passwordProvider, ISshInformationProvider sshInformationProvider, ConnectionSettings settings, CancellationToken cancellationToken)
   at Xamarin.Messaging.VisualStudio.MessagingService.ConnectAsync(String address, String user, ISshInformationProvider sshInformationProvider, ConnectionSettings settings, CancellationToken cancellationToken)
   at Xamarin.VisualStudio.IOS.Messaging.State.DisconnectedState.<ConnectAsync>d__8.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\State\DisconnectedState.cs:line 59



Couldn't connect to build-mac. Please try again.
Comment 6 Seb 2016-11-18 12:59:21 UTC
The same issue exists in Beta stream, however Alpha stream "Could not load file or assembly 'Renci.SshNet," exception is no longer thrown (though I get others so I can't use this stream).
Comment 7 Mike 2016-11-18 14:08:53 UTC
Ditto. Worked fine yesterday prior to Xamarin update which I did at the end of the workday. Came in this morning and get "Couldn't retrieve SSH fingerprint" in the mac connection manager. I followed all of the connection troubleshooting steps and had no luck resolving the issue. Running VS Pro 2015 on Win10 x64 trying to connect to Mac Mini running MacOS Sierra. Everything is fully updated as of this morning. Here's a snippet from the Xamarin log:

Xamarin.VisualStudio.IOS.Messaging.State.DisconnectedState Error: 0 : [2016-11-18 08:30:35.6164] Couldn't connect to vdc-mac-mini.local. Please try again.
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-11-18 08:30:35.7744] MacServer State transition from SshConnectingState to DisconnectedState on vdc-mac-mini.local (172.16.109.118)
Xamarin.VisualStudio.IOS.Messaging.State.ServerStateContext Information: 0 : [2016-11-18 08:30:35.9368] Disconnected from Mac vdc-mac-mini.local (172.16.109.118)
Xamarin.VisualStudio.IOS.MacServer Error: 0 : [2016-11-18 08:31:08.6196] Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
System.IO.FileNotFoundException: Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.RetrieveFingerprintAsync(String host)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__53.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 363
Comment 8 Ed Barnes 2016-11-18 18:17:02 UTC
Same issue happened to me. Updated and no completely broken. Reinstalled and still an issue.

System.IO.FileNotFoundException: Could not load file or assembly 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106' or one of its dependencies. The system cannot find the file specified.
File name: 'Renci.SshNet, Version=2016.0.0.0, Culture=neutral, PublicKeyToken=1cee9f8bde3db106'
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.RetrieveFingerprintAsync(String host)
   at Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever.<RetrieveFingerprintAsync>d__0.MoveNext()
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.Messaging.FingerprintRetriever.<RetrieveFingerprintAsync>d__2.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\FingerprintRetriever.cs:line 20
--- End of stack trace from previous location where exception was thrown ---
   at System.Runtime.CompilerServices.TaskAwaiter.ThrowForNonSuccess(Task task)
   at System.Runtime.CompilerServices.TaskAwaiter.HandleNonSuccessAndDebuggerNotification(Task task)
   at Xamarin.VisualStudio.IOS.MacServer.<AskForCredentialsAsync>d__53.MoveNext() in c:\data\lanes\3513\680125b0\source\xamarinvs\src\Core\VisualStudio.IOS\Messaging\MacServer.cs:line 363
Comment 9 Karl Shifflett 2016-11-18 19:21:13 UTC
Same exact problem.

TOTAL BUMMER, I'm presenting Xamarin Dev Days tomorrow and can't do any iOS development.

So much about Xamarin Forms is Cowboy code, throw up against the wall.

Please tell the teams to start testing before making releases.

SO FRUSTRATING.

Karl
Comment 10 David 2016-11-18 20:09:33 UTC
Same issue here as well. :-(
Comment 11 Cássio Nandi Citadin 2016-11-18 20:19:41 UTC
+1
Comment 12 Jose Gallardo 2016-11-18 20:27:59 UTC
We're already investigating this issue (we've been doing it for a couple of hours already).

I'm afraid it doesn't have an easy repro, and we've been trying to find out how do you guys are hitting it.

First thing I would like to know is if you actually have `Renci.SshNet.dll` in the extension folder?

C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Xamarin\Xamarin\4.2.1.62


The other information that can help us to reproduce the issue is to understand:

1. What Xamarin VS version did you have installed before updating it.

2. What other extensions do you have installed on your machine?


Thanks for your help!
Comment 13 Brendan Zagaeski 2016-11-18 20:37:09 UTC
Created attachment 18544 [details]
SSH.NET assembly info console test app

> First thing I would like to know is if you actually have
> `Renci.SshNet.dll` in the extension folder?

To jump in quickly, from Comment 3 [1] and from what I've seen of other reports of this issue, the file is indeed present and of approximately the correct size.

One additional test I had thought of was to have folks try compiling something like the attached program, and then running it from within the extensions folder.  So far it seems like the assembly file itself is OK, but that could be one way to double-check.


[1]

> I found the file in "C:\Program Files (x86)\Microsoft Visual Studio
> 14.0\Common7\IDE\Extensions\Xamarin\Xamarin\4.2.1.62" but for some
> reason it not been loaded.
Comment 14 Gordon 2016-11-18 20:39:44 UTC
+1
Comment 15 Brendan Zagaeski 2016-11-18 20:40:17 UTC
Created attachment 18545 [details]
"GOOD" (unable to replicate) full VS extension info from "Help > About Microsoft Visual Studio > Copy Info"

## Attempted confirmation steps (just for comparative purposes)

1. Install XamarinVS 4.2.1.60 (47830f6) (published on 2016-11-16).

2. Open an existing Xamarin.iOS project and ensure that it is able to connect successfully with the Mac.

3. "Select Tools > Options > Xamarin > Other > Check Now" (for the Stable channel).

4. Proceed to download and install XamarinVS 4.2.1.62 (680125b) (published on 2016-11-17).

5. Repeat step 2 to check if VS is still able to connect successfully with the Mac.

6. Do a quick spot-check to see that the iOS app deploys and debugs OK on simulator.

7. Explicitly disconnect, forget, and then reconnect to the Mac from VS (re-entering username and password).




## Results

Unfortunately, my test environment has so far worked successfully for all of those attempted steps to replicate, so I don't yet have any additional insights to offer on what unique (but clearly quite common) environmental factors might be contributing to this behavior.




## Additional testing environment info (brief)

Microsoft Visual Studio Enterprise 2015
Version 14.0.25425.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Windows 10, Version 1607 (OS Build 14393.187)

Language and Locale: US English
Username: "Window User"
Timezone: US Eastern (UTC-5)


Brendan
Xamarin Support
Comment 16 Mirko Da Corte 2016-11-18 20:48:48 UTC
I have the file into extension folder, and it size is of 398 KB (408.064 byte).
Comment 17 Ed Barnes 2016-11-18 20:52:42 UTC
OS Name	Microsoft Windows 10 Pro
Version	10.0.14393 Build 14393

My Visual Studio is a bit ahead of yours Brendan

Microsoft Visual Studio Professional 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Professional

LightSwitch for Visual Studio 2015   00322-40000-00000-AA136
Microsoft LightSwitch for Visual Studio 2015

Microsoft Visual Studio Tools for Applications 2015   00322-40000-00000-AA136
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-40000-00000-AA136
Microsoft Visual Basic 2015

Visual C# 2015   00322-40000-00000-AA136
Microsoft Visual C# 2015

Visual C++ 2015   00322-40000-00000-AA136
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-40000-00000-AA136
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.12.01117.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.21111.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.6   14.0.21111.0
Azure App Service Tools v2.9.6

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.2.2100.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.41104.6

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2015 ENU   14.0.23928
Microsoft Office Developer Tools for Visual Studio 2015 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Analysis Services   13.0.1701.8
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1701.8

SQL Server Data Tools   14.0.61021.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1701.8
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1701.8

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.2.1.62 (680125b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 18 Cássio Nandi Citadin 2016-11-18 20:53:44 UTC
Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01038

Installed Version: Enterprise

Architecture and Modeling Tools   00322-90055-97936-AA047
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-90055-97936-AA047
Microsoft Visual Basic 2015

Visual C# 2015   00322-90055-97936-AA047
Microsoft Visual C# 2015

Visual C++ 2015   00322-90055-97936-AA047
Microsoft Visual C++ 2015

Windows Phone SDK 8.0 - ENU   00322-90055-97936-AA047
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.12.01117.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.21111.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.6   14.0.21111.0
Azure App Service Tools v2.9.6

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft Azure Data Lake Tools for Visual Studio

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GorillaPlayerPackage Extension   1.0
GorillaPlayerPackage Visual Studio Extension Detailed Info

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

JetBrains ReSharper Ultimate 2016.2.2    Build 106.0.20160913.91321
JetBrains ReSharper Ultimate package for Microsoft Visual Studio. For more information about ReSharper Ultimate, visit http://www.jetbrains.com/resharper. Copyright © 2016 JetBrains, Inc.

Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.2.2100.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.41104.6

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.60519.0
Microsoft SQL Server Data Tools

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.1.62 (680125b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 19 Daniel 2016-11-18 20:55:15 UTC
# Renci File

I do have the file "Renci.SshNet.dll" in the folder "C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Xamarin\Xamarin\4.2.1.62"

It has a size of 408064 and its version is 2016.0.0.

I do not know exactly which version I had before, but in the "extensions" folder there is one named "4.2.0.719", so I am guessing that was the previous one.

# VS Version and addins

Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-90150-00888-AA725
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

LightSwitch for Visual Studio 2015   00322-90150-00888-AA725
Microsoft LightSwitch for Visual Studio 2015

Microsoft Visual Studio Tools for Applications 2015   00322-90150-00888-AA725
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-90150-00888-AA725
Microsoft Visual Basic 2015

Visual C# 2015   00322-90150-00888-AA725
Microsoft Visual C# 2015

Visual C++ 2015   00322-90150-00888-AA725
Microsoft Visual C++ 2015

Visual F# 2015   00322-90150-00888-AA725
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-90150-00888-AA725
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.12.01117.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.21111.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.6   14.0.21111.0
Azure App Service Tools v2.9.6

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft Azure Data Lake Tools for Visual Studio

Clang with Microsoft CodeGen   14.0.25516
Clang with Microsoft CodeGen

CodeRush for Roslyn   16.1.9.0
DevExpress CodeRush for Roslyn package.

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   2.1.1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.2.2100.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.41104.6

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

MySQL for Visual Studio   1.2.6
Data design and management tools for MySQL.  Copyright © 2007-2015 Oracle, Inc.

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

Office Developer Tools for Visual Studio 2015 ENU   14.0.23928
Microsoft Office Developer Tools for Visual Studio 2015 ENU

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Python Tools for Visual Studio   2.2.40825.00
Python Tools for Visual Studio provides IntelliSense, projects, templates, Interactive windows, and other support for Python developers.

Python Tools for Visual Studio - Django Integration   2.2.40825.00
Provides templates and integration for the Django web framework.

Python Tools for Visual Studio - Profiling Support   2.2.40825.00
Profiling support for Python projects.

SQL Server Analysis Services   13.0.1701.8
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1701.8

SQL Server Data Tools   14.0.61021.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1701.8
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1701.8

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual C++ for Cross Platform Mobile Development (Android)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (Android)

Visual C++ for Cross Platform Mobile Development (iOS)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (iOS)

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Workflow Manager Tools 1.0   1.0
This package contains the necessary Visual Studio integration components for Workflow Manager.

Xamarin   4.2.1.62 (680125b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.


# Extensions

I have a bunch, between them I have:

- Micro Framework
- CodeRush for Roselyn
- Gadgeteer
- Xamarin
- GitHub

Daniel.
Comment 20 Brendan Zagaeski 2016-11-18 20:56:35 UTC
> it size is of 398 KB (408.064 byte)

Yep, that's the same as my system:

408,064 Renci.SshNet.dll




## Next steps for users hitting this issue

1. If you recall, what Xamarin VS version did you have installed before updating?

2. If you get a chance, please also include your additional Windows version info, Language + Locale, Username (optionally), and Timezone (as shown at the bottom of my Comment 15).
Comment 21 Mirko Da Corte 2016-11-18 20:57:39 UTC
Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Enterprise

Architecture and Modeling Tools   00322-80000-00000-AA630
Microsoft Architecture and Modeling Tools
    
UML® and Unified Modeling Language™ are trademarks or registered trademarks of the Object Management Group, Inc. in the United States and other countries.

Visual Basic 2015   00322-80000-00000-AA630
Microsoft Visual Basic 2015

Visual C# 2015   00322-80000-00000-AA630
Microsoft Visual C# 2015

Visual C++ 2015   00322-80000-00000-AA630
Microsoft Visual C++ 2015

Visual F# 2015   00322-80000-00000-AA630
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-80000-00000-AA630
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.12.01117.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.21111.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.6   14.0.21111.0
Azure App Service Tools v2.9.6

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft Azure Data Lake Tools for Visual Studio

Bundler & Minifier   1.0.21
Adds support for bundling and minifying JavaScript, CSS and HTML files in any project.

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.2.2100.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.41104.6

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

SQL Server Data Tools   14.0.61021.0
Microsoft SQL Server Data Tools

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.1.62 (680125b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 22 Ed Barnes 2016-11-18 20:59:56 UTC
I kept mine up to date.

Looking at the other folks above, we are all ahead of you with Visual Studio version number. I am not sure it matters.

Language and Locale: US English
Username: Retrotec
Timezone: US Western (UTC-5)
Comment 23 Brendan Zagaeski 2016-11-18 21:10:46 UTC
The engineering team has a hunch about a way to address this.  We'll hopefully have na update shortly with an experimental build that could address the issue.

In the mean time, I'm updating my test environment to match more closely, and I'm diffing the various reported sets of installed extensions to look for commonalities.  Thanks for the info!
Comment 24 Mirko Da Corte 2016-11-18 21:13:13 UTC
I try to keep software updated, so before I should have had xamarin 4.2.1.60.
I received xamarin update notification from VS 2 times, I believed to have updated after the first notification, and a second time after second notification (I noticed this because it was strange), but I'm not sure of first setup because I was distracted by other things.



## Additional testing environment info (brief)

Microsoft Visual Studio Enterprise 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Windows 10, Version 1607 (OS Build 14393.447)

Language and Locale: Italian
Timezone: Rome (UTC+01)
Comment 25 Ed Barnes 2016-11-18 21:16:17 UTC
I did the same as Mirko. I had two update messages this week.
Comment 26 Brendan Zagaeski 2016-11-18 21:23:54 UTC
## Incremental update on environment analysis



### Extensions that I didn't yet have installed in my initial testing in Comment 15 that are present in all of the "bad" environments from Comment 17, Comment 18, Comment 19, Comment 21

Azure App Service Tools v2.9.6   14.0.21111.0
Azure Data Lake Node   1.0
Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft Azure Hive Query Language Service   2.2.2100.0
Microsoft Azure Tools   2.9
ToolWindowHostedEditor   1.0
Visual Studio Tools for Universal Windows Apps   14.0.25527.01



### Updating VS version to match

The installation update to 14.0.25431.01 has completed.  I will proceed to test the behavior and further align my environment to the reported versions.
Comment 27 Brendan Zagaeski 2016-11-18 21:30:57 UTC
### [Corrected] Extensions that I didn't yet have installed in my initial testing in Comment 15 that are present in all of the "bad" environments from Comment 17, Comment 18, Comment 19, Comment 21

(I forgot to allow different versions of the extensions. That's probably more appropriate.)

Azure App Service Tools
Azure Data Lake Node
Azure Data Lake Tools for Visual Studio
Microsoft .NET Core Tools (Preview 2)
Microsoft Azure Hive Query Language Service
Microsoft Azure Tools
ToolWindowHostedEditor
Visual Studio Tools for Universal Windows Apps
Windows Phone SDK 8.0

("Windows Phone SDK 8.0" is the one additional entry.)
Comment 28 Jason 2016-11-18 21:35:57 UTC
Hi Jose, thank you for working on this.  My installation was originally the default installation of Visual Studio 2015 Community edition on a clean installation / new build desktop PC installed this week.  The problem first presented in that setup.  Then I changed the installation to include every extension provided in the Community edition.  The problem appears to be the exact same in this setup.  I now have a 398kb Renci.SshNet.dll in 4 locations:
1) C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Xamarin\Xamarin\4.2.1.62
2) C:\Program Files (x86)\MSBuild\Xamarin\iOS
3) C:\Program Files (x86)\MSBuild\Xamarin\Mac
4) C:\Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Microsoft\Microsoft Azure Data Lake Tools for Visual Studio 2015\2.2.2100.0

There are also 2 copies of Renci.SshNet.xml (938kb) and 3 shortcuts pointing to those xml files (the links show in various personal c:\Users\JasonMedlin locations):
1) C:\Program Files (x86)\MSBuild\Xamarin\iOS
2) C:\Program Files (x86)\MSBuild\Xamarin\Mac

Versions:
Microsoft Visual Studio Community 2015
Version 14.0.25431.01 Update 3
Microsoft .NET Framework
Version 4.6.01586

Installed Version: Community

Microsoft Visual Studio Tools for Applications 2015   00322-20000-00000-AA937
Microsoft Visual Studio Tools for Applications 2015

Visual Basic 2015   00322-20000-00000-AA937
Microsoft Visual Basic 2015

Visual C# 2015   00322-20000-00000-AA937
Microsoft Visual C# 2015

Visual C++ 2015   00322-20000-00000-AA937
Microsoft Visual C++ 2015

Visual F# 2015   00322-20000-00000-AA937
Microsoft Visual F# 2015

Windows Phone SDK 8.0 - ENU   00322-20000-00000-AA937
Windows Phone SDK 8.0 - ENU

Application Insights Tools for Visual Studio Package   7.12.01117.1
Application Insights Tools for Visual Studio

ASP.NET and Web Tools 2015.1   14.1.21111.0
ASP.NET and Web Tools 2015.1

ASP.NET Web Frameworks and Tools 2012.2   4.1.41102.0
For additional information, visit http://go.microsoft.com/fwlink/?LinkID=309563

ASP.NET Web Frameworks and Tools 2013   5.2.40314.0
For additional information, visit http://www.asp.net/

Azure App Service Tools v2.9.6   14.0.21111.0
Azure App Service Tools v2.9.6

Azure Data Lake Node   1.0
This package contains the Data Lake integration nodes for Server Explorer.

Azure Data Lake Tools for Visual Studio   2.2.2100.0
Microsoft Azure Data Lake Tools for Visual Studio

Clang with Microsoft CodeGen   14.0.25516
Clang with Microsoft CodeGen

Command Bus, Event Stream and Async Manager   Merq
Provides ICommandBus, IEventStream and IAsyncManager MEF services for loosely coupled Visual Studio extension components communication and integration.

Common Azure Tools   1.8
Provides common services for use by Azure Mobile Services and Microsoft Azure Tools.

GitHub.VisualStudio   2.1.1.0
A Visual Studio Extension that brings the GitHub Flow into Visual Studio.

JavaScript Language Service   2.0
JavaScript Language Service

JavaScript Project System   2.0
JavaScript Project System

KofePackagePackage Extension   1.0
KofePackagePackage Visual Studio Extension Detailed Info

Microsoft .NET Core Tools (Preview 2)   14.1.21111.0
Microsoft .NET Core Tools (Preview 2)

Microsoft Azure Hive Query Language Service   2.2.2100.0
Language service for Hive query

Microsoft Azure Mobile Services Tools   1.4
Microsoft Azure Mobile Services Tools

Microsoft Azure Tools   2.9
Microsoft Azure Tools for Microsoft Visual Studio 2015 - v2.9.41104.6

Microsoft MI-Based Debugger   1.0
Provides support for connecting Visual Studio to MI compatible debuggers

NuGet Package Manager   3.5.0
NuGet Package Manager in Visual Studio. For more information about NuGet, visit http://docs.nuget.org/.

PreEmptive Analytics Visualizer   1.2
Microsoft Visual Studio extension to visualize aggregated summaries from the PreEmptive Analytics product.

Python Tools for Visual Studio   2.2.40825.00
Python Tools for Visual Studio provides IntelliSense, projects, templates, Interactive windows, and other support for Python developers.

Python Tools for Visual Studio - Django Integration   2.2.40825.00
Provides templates and integration for the Django web framework.

Python Tools for Visual Studio - Profiling Support   2.2.40825.00
Profiling support for Python projects.

SQL Server Analysis Services   13.0.1701.8
Microsoft SQL Server Analysis Services Designer 
Version 13.0.1701.8

SQL Server Data Tools   14.0.61021.0
Microsoft SQL Server Data Tools

SQL Server Integration Services   
Microsoft SQL Server Integration Services Designer
Version 13.0.1601.5

SQL Server Reporting Services   13.0.1701.8
Microsoft SQL Server Reporting Services Designers 
Version 13.0.1701.8

ToolWindowHostedEditor   1.0
Hosting json editor into a tool window

TypeScript   1.8.36.0
TypeScript tools for Visual Studio

Visual C++ for Cross Platform Mobile Development (Android)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (Android)

Visual C++ for Cross Platform Mobile Development (iOS)   14.0.25401.00
Visual C++ for Cross Platform Mobile Development (iOS)

Visual Studio Tools for Apache Cordova   Update 10
Visual Studio Tools for Apache Cordova

Visual Studio Tools for Universal Windows Apps   14.0.25527.01
The Visual Studio Tools for Universal Windows apps allow you to build a single universal app experience that can reach every device running Windows 10: phone, tablet, PC, and more. It includes the Microsoft Windows 10 Software Development Kit.

Xamarin   4.2.1.62 (680125b)
Visual Studio extension to enable development for Xamarin.iOS and Xamarin.Android.

Xamarin.Android   7.0.2.37 (ce955cc)
Visual Studio extension to enable development for Xamarin.Android.

Xamarin.iOS   10.2.1.5 (44931ae)
Visual Studio extension to enable development for Xamarin.iOS.
Comment 29 Brendan Zagaeski 2016-11-18 21:53:32 UTC Comment hidden (obsolete)
Comment 30 Brendan Zagaeski 2016-11-18 21:56:19 UTC Comment hidden (obsolete)
Comment 31 Ed Barnes 2016-11-18 22:09:00 UTC
Figured it out.

Program Files (x86)\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Microsoft\Microsoft Azure Data Lake Tools for Visual Studio 2015\2.2.2100.0

There is an older version of the Renci.SSHNet.dll

I renamed it and restarted VS 2015. Bingo.

Rolling back to earlier versions doesn't help.
Comment 32 David 2016-11-18 22:22:43 UTC
Nice fix Ed. I just tried and it works now! Thanks!!
Comment 33 Brendan Zagaeski 2016-11-18 22:23:13 UTC
Perfect.  Many thanks for looking into that!




## Confirmation status: confirmed

My setup for Azure SDK 2.9 [1] (that I had started around Comment 27) just completed.  With that installed, I am now indeed able to replicate the problem.

[1] https://azure.microsoft.com/en-us/blog/announcing-visual-studio-azure-tools-and-sdk-2-9/




## Testing of the workaround Comment 31: successful in my environment as well

As reported in Comment 31, renaming the older SSH.NET version from the Azure Data Lake Tools [2] successfully restores the functionality for me too and allows Visual Studio to connect successfully with the Mac.  Many thanks again for reporting on that finding!

[2] %ProgramFiles(x86)%\Microsoft Visual Studio 14.0\Common7\IDE\Extensions\Microsoft\Microsoft Azure Data Lake Tools for Visual Studio 2015\2.2.2100.0\Renci.SSHNet.dll
Comment 34 Jason 2016-11-18 22:23:29 UTC
I tried the rollback Brendan suggested first (to build 4.2.1.58) and there was no visible change.  I followed Ed's suggestion by renaming only the "Renci.SSHNet.dll" located at the point he listed.  I changed it to "old_Renci.SSHNet.dll".  It appears to work.  I'm a newb though and am just now going through the "Phoneword" tutorial - On to Step 6!  Thank you everyone!
Comment 35 Karl Shifflett 2016-11-18 22:47:21 UTC
Fixed.  Thank you!
Comment 36 Brendan Zagaeski 2016-11-19 04:09:59 UTC
## Candidate patched build (that should hopefully eliminate the need to rename the conflicting Azure Data Lake Tools copy of SSH.NET)

http://xvs.xamarin.com/patcheddrops/Xamarin.VisualStudio_4.2.1.64.msi


(This patched build adds extra checks via System.Reflection to ensure that the Xamarin extension loads the precise intended version of SSH.NET.)




## Verification status: tentatively verified

This candidate build has so far stopped the problem successfully on my original test system from Comment 33 as well as one other independent test system.

If any other users get a chance to try this build, another 2-5 verifications from various other user systems "in the wild" would be perfect.  Thanks in advance!
Comment 37 Jeremy Ellis 2016-11-19 05:13:19 UTC
Just wanted to add that I encountered this problem in two different Xamarin dev environments (i.e. two different VS installations talking to two different Mac build agents) with VS 2015.  One had Xamarin for VS v4.2.1.60 and the other had Xamarin for VS v4.2.1.62.

I started encountering the problem right after installing the Microsoft Azure SDK for .NET (VS 2015) - version 2.9.6 - via the Web Platform Installer, after being prompted by VS 2015 that a new version was available.

That is what installed the Azure Data Lake Tools for Visual Studio (v2.2.2100.0) referenced in Ed's comment above. Renaming the Renci.SshNet.dll file at the location referenced by Ed resolved the problem for me.  Thanks Ed!

Update:
I downloaded and installed the version 4.2.1.64 version and installed it.  Everything works fine, although Visual Studio prompts me that a new version of Xamarin for Visual Studio is available; and when I look at the version it wants to install, it is version 4.2.1.62 (i.e. the current version from the stable channel, that is older than your 4.2.1.64). Presumably this problem will go away when 4.2.1.64 is the version in the stable channel.

Then I closed Visual Studio and renamed back the version of Renci.SshNet.dll that is in the Microsoft Azure Data Lake Tools for Visual Studio 2015\2.2.2100.0 folder referenced by Ed above.  I re-opened Visual Studio and things are still working properly.  So, I would say that 4.2.1.64 fixes the problem for me; and the Xamarin.Messaging.Client.Ssh.SshFingerprintRetriever is no longer finding the Azure Data Lake Tool version of Rency.SshNet.dll - instead of its own copy.
Comment 38 Jason 2016-11-19 05:52:02 UTC
I've installed the candidate patch build and it works on my machine.  I restored the original name of ssh.net, confirmed that my build was broken, installed the 4.2.1.64 candidate, and was able to establish connection to my Mac with no problems.  Great work, thanks!
Comment 39 Dan Rigby 2016-11-19 19:01:09 UTC
Brendan, verified for me. Experienced this issue after updating to the latest Azure SDK. Installed 4.2.1.64, and I was able to connect again.
Comment 40 Mike 2016-11-19 19:46:05 UTC
I undid the file rename quick-fix from yesterday and then installed 4.2.1.64. Connection to Mac is working as expected.

I also verified that the Azure SDK did indeed break things on my home machine. I first updated to 4.2.1.62 and everything worked ok. I then did the Azure SDK update and connection to Mac was broken. Installing 4.2.1.64 fixed the issue. 

Thank you very much for the quick response and fix!
Comment 41 Tom Walker 2016-11-20 11:50:52 UTC
Brendan, the patch candidate worked for me.  I was able to connect to my Mac after applying the patch.  I did notice that it did take abit to establish the connection.  Once the Mac was connected, I was able to deploy and test my app on the remote iOS simulator on my dev PC.
Comment 42 Stefan Bühler 2016-11-20 21:51:51 UTC
Installing the candidate patched build resolved the issue for me.
Comment 43 stephen foster 2016-11-20 22:25:09 UTC
Brendan,

Installing the patch did correct the connection issue - on two machines.

However, both of these machines - which were up-to-date before the patch - now indicate Xamarin 4.2.1.62 is available for download.

If I open the xamarin logs, this is shown (redacted somewhat): 

Xamarin - 4.2.1.64-cycle8+872717c
...
Starting Agent Build 4.2.1.64...
Starting Agent IDB 4.2.1.64...
Agent Build 4.2.1.64 is running
Agent IDB 4.2.1.64 is running
Starting Agent Designer 4.2.1.64...
Agent Designer 4.2.1.64 is running

I presume I should NOT download and install the update as requested and that the patch was applied to the latest (4.2.1.64) version?

Much appreciated,

Stephen
Comment 44 Brendan Zagaeski 2016-11-21 17:16:44 UTC
Thanks for the additional verifications!  I think we have enough "in the wild" verifications now, and so I will accordingly update the bug status to verified.

If the experimental build does _not_ resolve the issue for anyone as more folks try it, please file a quick new bug report (to start a new branch of investigation for the unique factors involved in that scenario) and be sure to mention the new bug number in a comment on this bug (Bug 47263).  Thanks!



In reply to Comment 37 and Comment 43, that is indeed correct: because the experimental build has not been published to the updater channels, when it is installed, VS will show a notification that an "update" to the current Stable channel version is available.  To keep the experimental build installed, you'll need to ignore those update notifications.  (For context, this is the same behavior that allows users to switch back from Alpha to Stable via the updater if they wish.)


I'll follow-up with the engineering and release coordination teams on the plans for getting this fix into the Stable channel.


In the mean time, to keep the link surfaced fairly visibly I'll link once more to the experimental build (from Comment 36) that includes the fix:

http://xvs.xamarin.com/patcheddrops/Xamarin.VisualStudio_4.2.1.64.msi
Comment 45 stephen.machwirth 2016-11-21 17:32:40 UTC
Also installed the candidate and can also verify that this works!
Comment 46 Brendan Zagaeski 2016-11-22 19:53:34 UTC
## Status update: published

The patch from Comment 36 (that works around the incompatibility caused by the old version of Renci.SshNet in "Azure Data Lake Tools") has now been published to the Stable updater channel [1] in version 4.2.1.64.

For the longer term, the engineering team will be investigating strategies to reduce the chance of similar assembly version conflicts between XamarinVS and other VS extensions.


[1] https://developer.xamarin.com/recipes/cross-platform/ide/change_updates_channel/




## Follow-up steps for anyone who might see a similar issue with 4.2.1.64 (published 2016-11-22) or more recent

Please file a quick new bug report to start a new branch of investigation for the unique factors involved in that new scenario.  Thanks!
Comment 47 Timothy Lee Russell 2016-12-04 04:21:08 UTC
Thank you. The patch worked for me as well.

Note You need to log in before you can comment on or make changes to this bug.